pipeline {
    environment {
        docker_repo = 'exachina/wecoach_app'
    }
    agent any
    stages {
        stage('Build') {
            steps {
                load "/home/jenkins/env.groovy"
                script {
                    docker_tag = "${Docker_Tag}"
                    if ("$docker_tag" == "") {
                        docker_tag = "dev-"+(new Date()).format("yyyyMMddHHmmss", TimeZone.getTimeZone('Japan'))
                    }
                    dockerImage = docker.build(
                        "${env.DOCKER_REGISTRY}/$docker_repo:$docker_tag",
                        "--build-arg env=dev -f Dockerfile ."
                    )
                    dockerImage.push()
                }
            }
        }
        stage('Deploy to Dev') {
            steps {
                sh "deploy_dev.sh $WORKSPACE/deploy.hcl $docker_repo:$docker_tag"
            }
        }
    }
}
